¡Hola!
Hace poco llegó una noticia que nadie se esperaba: NVDA 2019.1 todavía no migrará a Python 3. Dicho evento está previsto para NVDA 2019.2. Como consecuencia, los complementos que hasta hace poco se marcaban como incompatibles en las versiones Alpha seguirán funcionando como siempre. Esto no significa que no vayan acompañados de avisos por todas partes, emitidos tanto por NVDA como por Addon Updater, invitando a que estos complementos se hagan compatibles con las nuevas versiones.
Como todo no podían ser buenas noticias, los complementos que en su día se prepararon para ser compatibles con NVDA 2019.1 deben actualizarse otra vez. Ahora, cada indicador de compatibilidad del fichero manifest.ini debe contener una tupla de 3 valores, en lugar de los dos que había antes. Veámoslo con un ejemplo.
NVDA 2019.1 fallará al instalar un complemento que siga este formato:

minimumNVDAVersion = 2017.3
lastTestedNVDAVersion = 2019.1
updateChannel = None

En cambio, funcionará bien si se sigue este nuevo esquema:

minimumNVDAVersion = 2017.3.0
lastTestedNVDAVersion = 2019.1.0
updateChannel = None

Es muy importante que el canal de actualizaciones se mantenga en None, y que lastTestedNVDAVersion siempre sea 2019.1.0, al menos hasta que se empiece a desarrollar la versión 2019.2.
Dicho esto, vamos con las actualizaciones de complementos de las que se habla en el título de la publicación.
Los complementos Enhanced Aria 2.5, Input Lock 1.7 y Nuance Vocalizer 3.0 llegan corrigiendo los indicadores de compatibilidad descritos anteriormente, por lo que deberían funcionar bien con las últimas versiones Alpha de NVDA y, en el futuro, con NVDA 2019.1. Si eres usuario del sintetizador Nuance Vocalizer, deberás instalar manualmente el nuevo controlador y actualizar aquellas voces que tuvieras previamente instaladas. Te recordamos que, si no lo has hecho ya, debes actualizar también el controlador y las voces de Vocalizer 2.0.
En cuanto a Enhanced Aria e Input Lock, puedes actualizarlos mediante Addon Updater, o utilizando los enlaces de más arriba.

Instant Translate vuelve a la vida

Uno de los desarrolladores de Instant Translate, el complemento que nos permite traducir textos rápidamente, ha decidido reanudar este proyecto. Desde hace poco ya tenemos entre nosotros la versión 4.3-20190208-dev en desarrollo, que permite utilizar los servicios Yandex y Google Translate, disminuye el tiempo de traducción y trae otras interesantes mejoras. Te recordamos que no es recomendable que la utilices en entornos de producción, ya que no está marcada como estable.

Nuevo directorio simplificado de complementos en nuestra web

Últimamente estamos descubriendo más y más complementos no oficiales. Esto ha provocado que el tamaño de nuestro catálogo crezca exageradamente, desatando auténticos dolores de cabeza a quien intenta explorarlo. Para remediar esta situación, hemos creado un directorio de complementos simplificado. No vamos a contarte gran cosa sobre él, ¡es mejor que lo explores por ti mismo!
Te recordamos que nuestra labor no sería posible sin contribuciones como la tuya. Si quieres ayudar al crecimiento y mantenimiento de la web de esta comunidad, puedes hacerlo con una donación.
¡Feliz domingo!

Autor: José Manuel Delicado Alcolea

Ingeniero de software y estudiante de máster en ingeniería informática en la Universidad Rey Juan Carlos. Me encanta todo lo relacionado con la informática, la accesibilidad y las nuevas tecnologías.

Deja un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.